Subject: Re: Unresolved Symbols in g77 objects
From: Tim Prince <[email-masked]>
To: "Liu, Wei" <[email-masked]>, "[email-masked]'" <[email-masked]>
Cc: "Liu, Wei" <[email-masked]>, "[email-masked]'" <[email-masked]>
Date: Wed, 27 Mar 2002 13:00:57 -0800

On Tuesday 26 March 2002 16:35, Liu, Wei wrote:
> I compiled some fortran files using g77. The compiling flags I used are:
>
>  -fugly-init -ff77 -fugly-complex -ftypeless-boz -fugly-assumed \
>          -fno-silent -fugly-args -fugly-comma -fintrin-case-any \
>          -fmatch-case-any -fno-f2c -w \
>          -fno-underscoring -fno-globals -g -I4 -c
> The version of g77 I used is 2.95.3-5 (gcc used by g77 is same version).
>
> I am trying to link the objects compiled using g77 with the objects
> compiled
>
> with Visual C++. The linker I used is CL (Visual C++ linker).
> I got a few unresolved symbols in the objects created by g77. Those
> symbols definitely are not in my source code but created by g77.
> Here are those symbols:
>
> _s_wsfe
> _do_fio
> __alloca
>
> How can I solve those unresolved symbols?
If you want to link g77 objects without the use of g77 or another 
f2c-compatible library, you must refrain from using any read/write or file 
access.  Apparently, you may need to refrain also from use of automatic 
arrays, which may require a gcc-compatible run time library.

-- 
Tim Prince

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/